/** @file
 * @brief NetHelper class header. This class represents a Helper to easily perform tcp/ip operations.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef NETHELPER_H
#define NETHELPER_H

#include "logger.h"
#include "ip_service.h"

#include <boost/shared_ptr.hpp>


class NetHelper
{

private:

    Logger::Ptr Log;
    IPService::Ptr IPServicePtr;

public:

    typedef boost::shared_ptr<NetHelper> Ptr;

    NetHelper(const Logger::Ptr _log);

    ~NetHelper();

    int open_connection(const std::string& _host, const std::string& _port);

    int send_data(const std::string& data);

    std::string receive_data();

    int close_connection();

};

#endif
